| PDM-IR SDK 3.0.12 PDM-IR_SDK

- Main Page
- Modules
- Data Structures
- Files

Functions
Constructror, destructor, error handling

## Functions
DllSDKExport RESULT | PDMIR_SearchDevices (UINT16 *arrayDataSN, UINT16 *numDevsFound)
DllSDKExport RESULT | PDMIR_OpenCommunication (UINT16 serialNumber)
DllSDKExport RESULT | PDMIR_CloseCommunication (UINT16 serialNumber)

## Detailed Description

Functions to Search, Open and Close the communication with the PDM-IR.

## Function Documentation

DllSDKExport RESULT PDMIR_SearchDevices | ( | UINT16 * | arrayDataSN,
|  | UINT16 * | numDevsFound
| ) |  |

Modules list Constructor.

It allocates a memory block to contain the list of the connected and recognized PDM-IR. It scans all the available USB port on the PC and when a PDM-IR is found, it add the device to fill the list.

Parameters

  arrayDataSN | Pointer to PDM-IR list handle. This parameter is referenced.
  numDevsFound | Pointer to number of devices found. This parameter is referenced.

Returns
  RESULT_OK The list was successfully created and populated.
  RESULT_ERROR_COMMUNICATION Error checking the device list.
  RESULT_DATA_OUT_LIMIT_LOW no devices found.

DllSDKExport RESULT PDMIR_OpenCommunication | ( | UINT16 | serialNumber | ) |

Open the communication with a module.

It opens the communication and allocates a memory block to manage the connected device, identified by the serial number.

Parameters

  serialNumber | PDM-IR serial number

Returns
  RESULT_OK The communication between the module and the pc is opened.
  RESULT_ERROR_COMMUNICATION Error opening the communication channel.

DllSDKExport RESULT PDMIR_CloseCommunication | ( | UINT16 | serialNumber | ) |

Close the communication with a module.

It closes the communication and deallocates the memory. The module is identified by the serial number.

Parameters

  serialNumber | PDM-IR serial number

Returns
  RESULT_OK The communication between the module and the pc is correctly closed.
  RESULT_ERROR_COMMUNICATION Error closing the communication channel.